Skip to main content
GET
/
members
/
{member_guid}
/
oauth_window_uri
Generate OAuth window URI
curl --request GET \
  --url https://int-data.moneydesktop.com/members/{member_guid}/oauth_window_uri \
  --header 'MD-SESSION-TOKEN: <api-key>'
{
  "member": {
    "guid": "MBR-ad533d14-b4f1-49a4-8093-b0ae9aa8d023",
    "oauth_window_uri": "https://dev-firefly1.moneydesktop.com/oauth/predirect_to/MBR-ad533d14-b4f1-49a4-8093-b0ae9aa8d023/r620svb66l4rqpskl96k2vkqdqZm04cx2qlAtx17rv5zrtz5lh376g2y6ndfq43ncpnkjl9qlghhxt2ltbxqm6zjhg4h3xnkn26zkn6dp2q2s0k0A21bcb2b6A2fgr2xwf06qg4tzw31pc5jtmAm4tb2612ply6mAqxA60fz1x3d7dmmcw3lcldh7btz9wkywyvkAggbAnbpwrrl3fhtbzhkpzxypy4qm7w51A8kA3dmzcb728kmbr19m9kdxrd8x32qAdwfw5s57wj7r2gwybq46d6rd1nmw084cndp7s3zA1vbmdh814p2zb7g52zxspt9cdpxrswnff9k0qdmkq4nb5k8k6sj92136y31?referral_source=BROWSER&ui_message_webview_url_scheme=MX"
  }
}

Authorizations

MD-SESSION-TOKEN
string
header
required

MX Session Token

  • Request an API token using the read API token endpoint in the MX SSO API.
  • Exchange an API token for a session token.
    • A session token is obtained by sending a POST request to /sessions
    • The session token will be used in each request made for the user. It should be passed in an MD-SESSION-TOKEN HTTP header as shown below.
    • This session token is valid for 30 minutes from the time it was created. The 30 minute expiration counter is refreshed with each call.
    • If you send a request with an expired session token you'll receive an error code of 4011.
curl -i https://int-data.moneydesktop.com/accounts \
-H 'MD-SESSION-TOKEN: CWforZl1Vn2vC_v6H4rnQRT1DoWpDouJAV-_5TBmiQRAtA8rsOG_BoajTiOSsL0A3bd-bmHXlA-eQzc9ywItKg' \
-H 'Content-Type: application/vnd.mx.nexus.v1+json' \
-H 'Accept: application/vnd.mx.nexus.v1+json'

In documentation code examples, replace <API_KEY_VALUE> with the session token.

Path Parameters

member_guid
string
required

The unique identifier for the member. Defined by MX.

Query Parameters

client_redirect_url
string

A URL that MX will redirect to at the end of OAuth with additional query parameters. Only available with oauth_referral_source as APP or is_mobile_webview as true.

referral_source
string

Must be either BROWSER or APP depending on the implementation. Defaults to BROWSER.

ui_message_webview_url_scheme
string

A scheme for routing the user back to the application state they were previously in.

skip_aggregation
string

Setting this parameter to true will prevent the member from automatically aggregating after being redirected from the authorization page.

Response

200 - application/vnd.mx.nexus.v1+json

OK